Subject: Re: bug#51040: No curved quotes in format-prompt and minibuffer-default-prompt-format

From: Dmitry Gutov <[email-masked]>
Date: Wed, 13 Oct 2021 02:44:56 +0300

On 12.10.2021 21:43, Eli Zaretskii wrote:
>> This change is about avoiding the inconsistency where `format-messages'
>> does quote substitutions but `format-prompt' does not.
> What inconsistency?  format-messages is about echo-area messages,
> whereas format-prompt is about something else.

They're displayed in the same area of the screen, and with similar 
purpose (telling something to the user; prompts also ask something back, 
messages do not).

The different between the echo area and the minibuffer is subtle enough 
for most users, so this kind of difference will almost certainly be 
perceived as inconsistency.

I think the main reason this question hasn't come up before is that 
having any quotes in the prompt, `...' or not, is very rare. Offhand, 
I've found only two such instances in Emacs source tree (in faces.el).